Saltar al contenido principal
POST
/
video
/
retrieve
/api/v1/video/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/video/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "video-model-123",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 145000,
  "execution_duration": 53200
}
Para los modelos privados, el archivo terminado se descarga desde el download_url devuelto por /video/queue (no como binario desde este endpoint). Consulta Enlaces de descarga privados para saber cómo funciona el enlace, los reintentos y el DELETE opcional.

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

application/json
model
string
requerido

The ID of the model used for video generation.

Ejemplo:

"video-model-123"

queue_id
string
requerido

The ID of the video generation request.

Ejemplo:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
predeterminado:false

If true, the video media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the video.

Ejemplo:

false

Respuesta

Video file if completed, or processing status if still in progress

status
enum<string>
requerido

The status of the video generation request.

Opciones disponibles:
PROCESSING,
COMPLETED
Ejemplo:

"PROCESSING"

average_execution_time
number
requerido

The estimated execution time of the video generation request in milliseconds (P80).

Ejemplo:

145000

execution_duration
number
requerido

The current duration of the video generation request in milliseconds.

Ejemplo:

53200